Bug 1261854 - /usr/share/nginx/html should be httpd_sys_content_t
/usr/share/nginx/html should be httpd_sys_content_t
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Vit Mojzis
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1168968 1261855 1261856
  Show dependency treegraph
 
Reported: 2015-09-10 06:22 EDT by Jamie Nguyen
Modified: 2016-03-23 12:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-154.fc24 selinux-policy-3.13.1-179.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 12:56:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2015-09-10 06:22:36 EDT
Default html files for nginx are located in /usr/share/nginx/html. Currently fixed by running:

semanage fcontext -a -t httpd_sys_content_t "/usr/share/nginx/html(/.*)?"
Comment 1 Vit Mojzis 2015-10-15 08:40:53 EDT
commit e23644ac15ce8fba15e684be6e564f702efb4d42
Author: Vit Mojzis <vmojzis@redhat.com>
Date:   Thu Oct 15 12:07:27 2015 +0200

    Fix context of "/usr/share/nginx/html". #1261854
Comment 2 Jan Kurik 2016-02-24 10:52:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2016-03-11 04:56:05 EST
selinux-policy-3.13.1-178.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 4 Fedora Update System 2016-03-11 14:25:47 EST
selinux-policy-3.13.1-178.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1350c96015
Comment 5 Fedora Update System 2016-03-16 09:41:57 EDT
selinux-policy-3.13.1-179.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 6 Fedora Update System 2016-03-18 10:58:38 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f142bb969
Comment 7 Fedora Update System 2016-03-23 12:54:42 EDT
selinux-policy-3.13.1-179.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.